Subject: Re: [PATCH] _virsh (Was: Re: zsh virsh completion)
From: Daniel Shahaf <[email-masked]>
To: Marko Myllynen <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Jul 2016 06:30:08 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Marko Myllynen wrote on Thu, Jul 21, 2016 at 15:32:14 +0300:
> On 2016-07-21 09:57, Daniel Shahaf wrote:
> > Could you suggest how to clarify the man page section I quoted?
> 
> Perhaps change "with both -s and -w, -xy may be the option -x and the
> option -y with arguments still to come" to "... with arguments still to
> come for -x"?

Okay:

diff --git a/Doc/Zsh/compsys.yo b/Doc/Zsh/compsys.yo
index 8792324..a50df99 100644
--- a/Doc/Zsh/compsys.yo
+++ b/Doc/Zsh/compsys.yo
@@ -3591,8 +3591,9 @@ even if one or more of the options take
 arguments.  For example, if tt(-x) takes an argument, with no
 tt(-s), `tt(-xy)' is considered as a single (unhandled) option; with
 tt(-s), tt(-xy) is an option with the argument `tt(y)'; with both tt(-s)
-and tt(-w), tt(-xy) may be the option tt(-x) and the option tt(-y) with
-arguments still to come.
+and tt(-w), tt(-xy) is the option tt(-x) and the option tt(-y) with
+arguments to tt(-x) (and to tt(-y), if it takes arguments) still to come
+in subsequent words.
 )
 item(tt(-W))(
 This option takes tt(-w) a stage further:  it is possible to